﻿namespace MessageService2
{
    public class GreetMessageService
    {
        public enum SendType
        {
            Email,
            SMS,
        }

        private SendType sendType;

        public GreetMessageService(SendType sendType)
        {
            this.sendType = sendType;
        }

        public void Greet(string msg)
        {
            switch (sendType)
            {
                case SendType.Email:
                    EmailSender emailSender = new EmailSender();
                    emailSender.Send(msg);
                    break;
                case SendType.SMS:
                    SMSSender sMSSender = new SMSSender();
                    sMSSender.Send(msg);
                    break;
            }
        }
    }
}
